## com.sun.grizzly.suspendable
Class SuspendableFilter.SuspendableHandlerWrapper<A>

    java.lang.Object
      com.sun.grizzly.suspendable.SuspendableFilter.SuspendableHandlerWrapper<A>

Enclosing class:
  SuspendableFilter<T>

    protected class SuspendableFilter.SuspendableHandlerWrapper<A>

extends Object

Wrapper class around a `SuspendableHandler` with add some connection state.

Constructor Summary
`SuspendableFilter.SuspendableHandlerWrapper(SuspendableHandler<A> sh, A attachment, long expireTime, Suspendable suspendable, SuspendableFilter.Suspend suspendWhen)`

Method Summary
`protected A` `getAttachment()`
`protected long` `getExpireTime()`
`protected SelectorHandler` `getSelectorHandler()`
`protected Suspendable` `getSuspendable()`
`protected SuspendableFilter` `getSuspendableFilter()`
`protected SuspendableHandler<A>` `getSuspendableHandler()`
`protected SuspendableFilter.Suspend` `getSuspendWhen()`
`protected void` `setAttachment(A attachment)`
`protected void` `setExpireTime(long expireTime)`
`protected void` `setSelectorHandler(SelectorHandler selectorHandler)`
`protected void` `setSuspendable(Suspendable suspendable)`
`protected void` `setSuspendableFilter(SuspendableFilter suspendableFilter)`
`protected void` `setSuspendableHandler(SuspendableHandler<A> suspendableHandler)`
`protected void` `setSuspendWhen(SuspendableFilter.Suspend suspendWhen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuspendableFilter.SuspendableHandlerWrapper

    public SuspendableFilter.SuspendableHandlerWrapper(SuspendableHandler<A> sh,
                                                       A attachment,
                                                       long expireTime,
                                                       Suspendable suspendable,
                                                       SuspendableFilter.Suspend suspendWhen)

Method Detail

### getSuspendableHandler

    protected SuspendableHandler<A> getSuspendableHandler()

### setSuspendableHandler

    protected void setSuspendableHandler(SuspendableHandler<A> suspendableHandler)

### getAttachment

    protected A getAttachment()

### setAttachment

    protected void setAttachment(A attachment)

### getExpireTime

    protected long getExpireTime()

### setExpireTime

    protected void setExpireTime(long expireTime)

### getSuspendableFilter

    protected SuspendableFilter getSuspendableFilter()

### setSuspendableFilter

    protected void setSuspendableFilter(SuspendableFilter suspendableFilter)

### getSuspendable

    protected Suspendable getSuspendable()

### setSuspendable

    protected void setSuspendable(Suspendable suspendable)

### getSelectorHandler

    protected SelectorHandler getSelectorHandler()

### setSelectorHandler

    protected void setSelectorHandler(SelectorHandler selectorHandler)

### getSuspendWhen

    protected SuspendableFilter.Suspend getSuspendWhen()

### setSuspendWhen

    protected void setSuspendWhen(SuspendableFilter.Suspend suspendWhen)

Copyright © 2008 SUN Microsystems. All Rights Reserved.